curl --request GET \
--url http://10.2.4.166:8080/composer/api/dashboards \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/dashboards"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/dashboards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/dashboards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/dashboards")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/dashboards")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"content": [
{
"name": "<string>",
"id": "<string>",
"description": "<string>",
"layout": "<string>",
"dashboardLayout": {},
"icon": "<string>",
"showDescription": true,
"isReportDashboard": true,
"unifiedBarCfgs": [
{
"id": "<string>",
"accountId": "<string>",
"timeControlCfg": {
"timeField": "<string>",
"from": "<string>",
"to": "<string>",
"calendarId": "<string>"
},
"playerControlCfg": {
"timeWindowScale": "PINNED",
"pauseAfterRead": true,
"stopTime": "<string>",
"speed": 123
},
"sharpeningCfg": {
"prefer": true,
"maxQueries": 123
},
"widgetIds": [
"<string>"
]
}
],
"selectedWidgetId": "<string>",
"fieldLinks": [
{
"id": "<string>",
"label": "<string>",
"mappings": [
{
"fieldName": "<string>",
"sourceId": "<string>",
"fieldType": "<string>"
}
]
}
],
"rowFilters": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
],
"mutedLinks": [
{
"targetId": "<string>",
"widgetId": "<string>",
"direction": "publish, subscribe",
"type": "crossSource, sameSource"
}
],
"creatorName": "<string>",
"creatorFullName": "<string>",
"widgets": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"header": {
"visibility": "VISIBLE"
},
"layout": {
"col": 123,
"row": 123,
"rowSpan": 123,
"colSpan": 123
},
"position": {
"relativeHeight": 123,
"relativeWidth": 123,
"verticalPosition": "<string>",
"horizontalPosition": "<string>"
},
"visualId": "<string>",
"dashboardLink": {
"dashboardId": "<string>",
"dashboardName": "<string>",
"inheritFilterCfg": true
},
"content": {
"contentType": "VISUAL",
"visualId": "<string>",
"snippetId": "<string>"
},
"pickers": {
"hiddenPickers": [
"<string>"
],
"visibility": "CUSTOM"
}
}
],
"tags": [
"<string>"
],
"interactivityProfile": {
"name": "<string>",
"type": "SYSTEM",
"overrideVisualInteractivity": true,
"settings": {},
"visualSettings": {}
},
"originId": "<string>",
"projectId": 2222,
"folderId": 1111,
"reportDetails": {
"reportType": "RAW_DATA_TABLE",
"id": "<string>"
},
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z"
}
],
"otherDashboardsExist": true,
"pageInfo": {
"nextPageToken": "<string>",
"previousPageToken": "<string>"
}
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Returns a list of acceptable dashboards (requires READ permission to the dashboards)
curl --request GET \
--url http://10.2.4.166:8080/composer/api/dashboards \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/dashboards"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/dashboards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/dashboards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/dashboards")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/dashboards")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"content": [
{
"name": "<string>",
"id": "<string>",
"description": "<string>",
"layout": "<string>",
"dashboardLayout": {},
"icon": "<string>",
"showDescription": true,
"isReportDashboard": true,
"unifiedBarCfgs": [
{
"id": "<string>",
"accountId": "<string>",
"timeControlCfg": {
"timeField": "<string>",
"from": "<string>",
"to": "<string>",
"calendarId": "<string>"
},
"playerControlCfg": {
"timeWindowScale": "PINNED",
"pauseAfterRead": true,
"stopTime": "<string>",
"speed": 123
},
"sharpeningCfg": {
"prefer": true,
"maxQueries": 123
},
"widgetIds": [
"<string>"
]
}
],
"selectedWidgetId": "<string>",
"fieldLinks": [
{
"id": "<string>",
"label": "<string>",
"mappings": [
{
"fieldName": "<string>",
"sourceId": "<string>",
"fieldType": "<string>"
}
]
}
],
"rowFilters": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
],
"mutedLinks": [
{
"targetId": "<string>",
"widgetId": "<string>",
"direction": "publish, subscribe",
"type": "crossSource, sameSource"
}
],
"creatorName": "<string>",
"creatorFullName": "<string>",
"widgets": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"header": {
"visibility": "VISIBLE"
},
"layout": {
"col": 123,
"row": 123,
"rowSpan": 123,
"colSpan": 123
},
"position": {
"relativeHeight": 123,
"relativeWidth": 123,
"verticalPosition": "<string>",
"horizontalPosition": "<string>"
},
"visualId": "<string>",
"dashboardLink": {
"dashboardId": "<string>",
"dashboardName": "<string>",
"inheritFilterCfg": true
},
"content": {
"contentType": "VISUAL",
"visualId": "<string>",
"snippetId": "<string>"
},
"pickers": {
"hiddenPickers": [
"<string>"
],
"visibility": "CUSTOM"
}
}
],
"tags": [
"<string>"
],
"interactivityProfile": {
"name": "<string>",
"type": "SYSTEM",
"overrideVisualInteractivity": true,
"settings": {},
"visualSettings": {}
},
"originId": "<string>",
"projectId": 2222,
"folderId": 1111,
"reportDetails": {
"reportType": "RAW_DATA_TABLE",
"id": "<string>"
},
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z"
}
],
"otherDashboardsExist": true,
"pageInfo": {
"nextPageToken": "<string>",
"previousPageToken": "<string>"
}
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Query Parameters
deprecated since 23.3, will be removed in future releases. Use filters parameter
deprecated since 23.3, will be removed in future releases. Use filters parameter
Defines field of a dashboard to be returned
Enables field links in the dashboard response
x >= 0Defines filter to search by. SourceId and visualizationId should not work with combination of filter. Supports only boolean, string, number, date time literal types on primary fields like name, id, description etc. Operators supported are =, != or <>, like, ilike, >, >=, <, <=, is null, is not null, in, and, or, not, is empty, is not empty. Tag supports in, and, is empty, is not empty, not operators. Other operators might not return expected result. Nested objects, array properties are not supported.
Defines sort order for results. Supports only primary fields like name, id, description etc with direction ASC or DESC. Nested objects, array properties are not supported.(Example: tags)
Was this page helpful?